.m-draw-line-template-2 {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  .box-action-info {
    margin-top: 0.4rem;
  }
  .box-image-handle-answer {
    max-height: 625px;
    background: rgb(245, 248, 252);
    border-radius: 0.8rem;
    padding: 1rem;
    margin-bottom: 2rem;
    &.no-image{
      max-height: 380px;
    }
    .text-user-guide {
      padding: 0.6rem 0;
      display: flex;
      align-items: center;
      img {
        height: 2.2rem;
        margin-right: 0.5rem;
      }
      span {
        font-size: 1.2rem;
        color: #3dc9f8;
      }
    }
    .add-new-answer {
      padding: 1.9rem 0rem;
      display: flex;
      justify-content: center;
      align-items: flex-start;
      border-radius: 0 0.8rem 0.8rem 0;
      background: #fff;
      &__btn {
        cursor: pointer;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        box-shadow: 0px 0px 0px 1px #d4dde7;
        border-radius: 0.8rem;
        width: 10rem;
        height: 10rem;
        background: #fff;
        &.error{
          box-shadow: 0 0 0 0.1rem #dd3a09;
        }
        img {
          height: 3.6rem;
        }
        span {
          color: #30a0c3;
        }
      }
      &.scroll {
        background: #d4dde7;
        transition: background 2s;
        padding: 1.5rem;
        &__btn {
          background: #fff;
        }
      }

    }
    .image-split-container-tool{
      width: 100%;
    box-shadow: rgb(212 221 231) 0px 0px 0px 1px;
    border-radius: 0.8rem;
    display: flex;
    justify-content: center;
    align-items: center;
    &.error{
      box-shadow: 0 0 0 0.1rem #dd3a09;
    }
    }
  }

  .form-error-message {
    color: #ff0018;
    margin-top: 0;
    margin-left: 2rem;
    font-size: 1.2rem;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    padding: 0rem 1rem 1rem 1rem;
  }
  .class-image-list {
    display: flex;
    height: 17.2rem;
    margin: 1.2rem 0 1rem 0;
    border-radius: 8px;
    box-shadow: 0px 0px 0px 1px #d4dde7;
    width: 100%;
    background: #fff;
    // padding: 1.6rem 0;
    &__content {
      display: flex;
      height: 17.2rem;
      max-width: calc(100% - 120px);
      padding: 1.6rem 1rem;
      overflow-x: auto;
      pointer-events: all;
      &::-webkit-scrollbar {
        height: 7px;
        background-color: transparent;
      }
      &::-webkit-scrollbar-track {
        border-radius: 7px;
        cursor: pointer;
        margin-left: 10px;
        margin-right: 10px;
      }
      &::-webkit-scrollbar-thumb {
        background: #d4dde7 !important;
        border-radius: 7px;
      }
      &__card-image {
        height: 100%;
        width: 24rem;
        padding: 0 1rem;
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: center;
        .box-image {
          height: 10rem;
          width: 22rem;
          position: relative;
          border-radius: 0.8rem;
          box-shadow: 0px 0px 0px 1px #d4dde7;
          // padding: 0.5rem;
          display: flex;
          flex-direction: column;
          justify-content: space-between;
          align-items: center;
          flex-direction: row;
          &.selected {
            box-shadow: 0px 0px 0px 1px #5cb9d8;
          }
          &.example{
            box-shadow: 0px 0px 0px 1px #67ab8d;
          }
          .image-delete-icon {
            height: 1.8rem;
            position: absolute;
            right: -0.5rem;
            top: -0.5rem;
            cursor: pointer;
          }
          .__content-image {
            height: 100%;
            max-height: 100%;;
            min-height: 100%;;
            width: 50%;
            padding: 0.6rem;
            display: flex;
            justify-content: center;
            align-items: center;
            cursor: pointer;
            img {
              max-width: 100%;
              max-height: 100%;

              width: 100%;
              height: 100%;
              object-fit: contain;
              &.img-default{
                object-fit: none;
              }
            }
            .img-default{
              height: 60px;
                width: 60px;
                margin-top: 5px;
                cursor: pointer;
            }
            &.error{
              img{
                box-shadow: 0 0 0 0.1rem #dd3a09;
                border: none;
                border-radius: 0.8rem;
                overflow: hidden;
              }
            }
          }
          .box-image-correct-dl2{
            height: 100%;
            width: 50%;
            border-left: 1px solid #d4dde7;
            display: flex;
            align-items: center;
            flex-direction: column;
            position: relative;
            .__text-correct{
              font-size: 1.2rem;
              padding-top: 0.4rem;
              color: #67ab8d;
            }
            .__content-correct-image{
              width: calc( 100% - 2rem);
              height: calc( 100% - 3rem);
              padding: 0.5rem;
              display: flex;
              justify-content: center;
              align-items: center ;
              &.error{
                img{
                  box-shadow: 0 0 0 0.1rem #dd3a09;
                  border: none;
                  border-radius: 0.8rem;
                  overflow: hidden;
                }
                
              }
              .img-default{
                object-fit: none;
                height: 60px;
                width: 60px;
                cursor: pointer;
              }
              .image-correct{
                max-width: 100%;
                max-height: 100%;
              }
              
            }
            .icon-delete{
              width: 2rem;
              position: absolute;
              bottom: 0.3rem;
              right: 0.3rem;
              cursor: pointer;
            }
          }
        }
        .__content-toggle {
          display: flex;
          align-items: center;
          margin-top: 1rem;
          .__switcher {
            display: flex;
            position: relative;
            transform: unset;
            pointer-events: auto;
            left: unset;
            top: unset;
            .rs-toggle-presentation {
              background: #67ab8d;
              min-width: 50px;
              width: auto;
              height: 24px;
            }
          }
          .rs-toggle-checked {
            .rs-toggle-presentation {
              background: #f8c116;
            }
          }
          &.error {
            .rs-toggle-presentation {
              box-shadow: 0 0 0 0.15rem #dd3a09;
            }
          }
        }
        &.view-mode{
          pointer-events: none;
          textarea{
            pointer-events: all;
          }
          .__content-image{
            pointer-events: all;
          }
        }
      }
    }
  }
  .box-audio-input {
    width: 70px !important;
    height: 70px !important;
  }

  #content-draw-image-export-id{
    background: #fff;
    box-shadow: 0 0 0 0.2rem #dd3a09;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    .export-answer-list{
      display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
      .item-answer{
        padding: 1rem 0.5rem;
        // background: #ccc;
        text-align: center;
        font-family: 'times-r';
      color: #000;
      font-size: 13.3px;
      }
    }
    
  }
}
